> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getShieldedTransactionsBySignature

> Получение индексированных защищённых событий по подписи транзакции Solana.

## События в транзакции

Ответ возвращает `result.transactions`, упорядоченные по `eventIndex`. Каждая запись содержит индекс события и защищённую транзакцию с зашифрованными выходами, сообщениями и нуллификаторами. Одна транзакция Solana может содержать несколько защищённых событий.

Пустой массив `transactions` означает, что индексатор не нашёл соответствующих защищённых событий. Проверьте `context.slot`, прежде чем считать недавно отправленную транзакцию отсутствующей. Этот метод не использует пагинацию.

## Параметры запроса

**txSignature** `string` *required*

Закодированная в Base58 64-байтовая подпись транзакции Solana.


## OpenAPI

````yaml ru/openapi/privacy/getShieldedTransactionsBySignature.yaml POST /v1/spr/getShieldedTransactionsBySignature
openapi: 3.0.3
info:
  title: API колец конфиденциальности Solana
  version: 0.51.2
  description: >-
    JSON-RPC API индексатора конфиденциальности для зашифрованного состояния,
    истории, доказательств и общедоступных записей реестра.
servers:
  - url: https://devnet.helius-rpc.com
    description: API колец конфиденциальности Solana в Devnet
security: []
paths:
  /v1/spr/getShieldedTransactionsBySignature:
    post:
      summary: getShieldedTransactionsBySignature
      description: >-
        Получает индексированные защищенные события для подписи транзакции
        Solana.
      operationId: getShieldedTransactionsBySignature
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: Идентификатор запроса.
                  default: '1'
                jsonrpc:
                  type: string
                  description: Версия протокола JSON-RPC.
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: >-
                    Вызываемый метод. Должен соответствовать последнему сегменту
                    пути URL.
                  enum:
                    - getShieldedTransactionsBySignature
                  default: getShieldedTransactionsBySignature
                params:
                  type: object
                  required:
                    - txSignature
                  properties:
                    txSignature:
                      allOf:
                        - $ref: '#/components/schemas/SerializableSignature'
                      description: >-
                        64-байтовая подпись транзакции Solana в кодировке
                        base58.
                  additionalProperties: false
                  example:
                    txSignature: >-
                      555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getShieldedTransactionsBySignature
              params:
                txSignature: >-
                  555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
        required: true
      responses:
        '200':
          description: Ответ JSON-RPC. Проверьте поле error перед чтением result.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: Идентификатор запроса.
                  jsonrpc:
                    type: string
                    description: Версия протокола JSON-RPC.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - transactions
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      outputTreeId:
                        type: integer
                        format: uint16
                        description: >-
                          Идентификатор новейшего неприостановленного дерева
                          состояний. Не указывается, если недоступен.
                        minimum: 0
                      transactions:
                        type: array
                        items:
                          $ref: '#/components/schemas/IndexedShieldedTransaction'
              example:
                jsonrpc: '2.0'
                id: '1'
                result:
                  context:
                    slot: 4242
                    blockTime: 1730000000
                  transactions: []
        '400':
          description: >-
            Отклонено до выполнения. Несоответствие метода и пути, повторяющиеся
            поля метода или пакетный запрос возвращают -32601. Нечитаемое или
            слишком большое тело запроса возвращает -32600.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: Превышен лимит запросов.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: Внутренняя ошибка сервера.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    SerializableSignature:
      type: string
      description: 64-байтовая подпись транзакции Solana в кодировке base58.
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: >-
            Наибольший слот, сохраненный индексатором, для проверки актуальности
            по слотам.
          minimum: 0
    IndexedShieldedTransaction:
      type: object
      required:
        - eventIndex
        - transaction
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        transaction:
          $ref: '#/components/schemas/ShieldedTransaction'
    ShieldedTransaction:
      type: object
      required:
        - slot
        - txSignature
        - txViewingPk
        - salt
        - outputSlots
        - messages
        - nullifiers
        - proofless
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        messages:
          type: array
          items:
            $ref: '#/components/schemas/RingsMessage'
          description: >-
            Опубликованные слоты данных, не привязанные к обязательству выхода и
            повторно опубликованные без изменений.
        nullifiers:
          type: array
          items:
            $ref: '#/components/schemas/Hash'
        outputSlots:
          type: array
          items:
            $ref: '#/components/schemas/RingsOutputSlot'
        proofless:
          type: boolean
          description: >-
            Значение true, если хотя бы один выход в этой транзакции не имеет
            доказательства.
        ringConfig:
          type: string
          description: >-
            Аккаунт конфигурации кольца (его PDA `ring_auth`). Не указывается,
            если ни одно кольцо не авторизовало эту транзакцию.
        ringProgramId:
          type: string
          description: >-
            Программа кольца, определенная через индексированные регистрации. Не
            указывается, если `ringConfig` отсутствует или регистрация кольца
            еще не проиндексирована. Используйте `ringConfig`, чтобы отличить
            «отсутствие кольца» от «кольца с непроиндексированной программой».
        salt:
          type: string
          description: >-
            Соль AES уровня транзакции, общая для зашифрованного текста каждого
            выхода.
          nullable: true
        slot:
          type: integer
          format: uint64
          minimum: 0
        txSignature:
          $ref: '#/components/schemas/SerializableSignature'
        txViewingPk:
          type: string
          description: Строка байтов в кодировке base64.
          nullable: true
    RingsMessage:
      type: object
      required:
        - viewTag
        - payload
      properties:
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Hash:
      type: string
      description: 32-байтовый хеш в кодировке base58.
    RingsOutputSlot:
      type: object
      required:
        - viewTag
        - outputContext
        - payload
      properties:
        outputContext:
          $ref: '#/components/schemas/RingsOutputContext'
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Base64String:
      type: string
      description: Строка байтов в кодировке base64.
    RingsOutputContext:
      type: object
      required:
        - hash
        - tree
        - treeId
        - leafIndex
      properties:
        hash:
          $ref: '#/components/schemas/Hash'
        leafIndex:
          type: integer
          format: uint64
          minimum: 0
        tree:
          allOf:
            - $ref: '#/components/schemas/SerializablePubkey'
          description: >-
            Аккаунт дерева состояний. Предпочтительно использовать treeId;
            аккаунт дерева выводится из него.
          deprecated: true
        treeId:
          type: integer
          format: uint16
          description: >-
            Исходный идентификатор дерева, в котором хешируется обязательство
            выхода.
          minimum: 0
    SerializablePubkey:
      type: string
      description: Открытый ключ Solana в кодировке base58.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Ваш ключ API Helius.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.